/// NEKADA DAVNO BIO JEDAN VITEZ IZ ZAMKA...
#include<bits/stdc++.h>
#define ll long long
#include "partition.h"
using namespace std;
vector<int> solve(std::vector<int> A) {
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n = A.size();
    vector<int> sol;
    int l = 0, r = n - 1;
    while (l < r){
        sol.push_back(r + 1);
        sol.push_back(l + 1);
        l++;
        r--;

    }
    if (n % 2 == 1)sol.push_back(n / 2 + 1);
    return {sol};
}

/*
1
9
5 6 6 3 1 1 4 4 3
*/
/*
1
5
1 1 1 1 1
*/
///...VITEZ SE NIJE OBESIO.
